package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag210;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.mt2XXAbsCreator.MT210AbsCreator;

/**
 * @author huangmengyuan
 * @create 2023/2/28
 */
public class Tag21Creator extends AbsTagCreate {
    private MT210AbsCreator MT210AbsCreator;
    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.MT210AbsCreator = (MT210AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = MT210AbsCreator.getRelatedReference();
        MT210AbsCreator.set("21",tag21Value);
    }
}
